Subject: bug#64739: (forward-thing 'number) doesn't work with decimal numbers

From: Michael Heerdegen <[email-masked]>
Date: Sat, 22 Jul 2023 02:23:22 +0200

Eli Zaretskii <[email-masked]> writes:

> > > On Thu, Jul 20 2023, Eli Zaretskii wrote:
> > > >> forward-word doesn't seem to be the correct forward-op for numbers.
> > > >
> > > > That depends on the buffer's syntax table, though.
> > >
> > > I am frequently running into similar problems when I deal with numbers,
> > > but the syntax table is not designed for this.  Would it make sense if
> > > (forward-thing 'number) temporarily used a customized synatx table?
> >
> > It should use its own function, if you ask me.  forward-word is a
> > kludge.
>
> To clarify: I meant that using forward-word in this case is a kludge.

It had been added by Lars when fixing Bug#54555 "number is not an
accepted value for THING in bounds-of-thing-at-point" last year.
Probably just not being aware of this problem with the decimal point.
So: yes, a klugde, it's too simple.

Michael.